# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/GpgExtension/HgGpgSignDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HgGpgSignDialog(object):
    def setupUi(self, HgGpgSignDialog):
        HgGpgSignDialog.setObjectName("HgGpgSignDialog")
        HgGpgSignDialog.resize(400, 600)
        HgGpgSignDialog.setWindowTitle("")
        HgGpgSignDialog.setSizeGripEnabled(True)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(HgGpgSignDialog)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.groupBox = QtWidgets.QGroupBox(parent=HgGpgSignDialog)
        self.groupBox.setObjectName("groupBox")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout.setObjectName("gridLayout")
        self.numberButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.numberButton.setObjectName("numberButton")
        self.gridLayout.addWidget(self.numberButton, 0, 0, 1, 1)
        self.numberSpinBox = QtWidgets.QSpinBox(parent=self.groupBox)
        self.numberSpinBox.setEnabled(False)
        self.numberSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight)
        self.numberSpinBox.setMaximum(999999999)
        self.numberSpinBox.setObjectName("numberSpinBox")
        self.gridLayout.addWidget(self.numberSpinBox, 0, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(158, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout.addItem(spacerItem, 0, 2, 1, 1)
        self.idButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.idButton.setObjectName("idButton")
        self.gridLayout.addWidget(self.idButton, 1, 0, 1, 1)
        self.idEdit = QtWidgets.QLineEdit(parent=self.groupBox)
        self.idEdit.setEnabled(False)
        self.idEdit.setObjectName("idEdit")
        self.gridLayout.addWidget(self.idEdit, 1, 1, 1, 2)
        self.tagButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.tagButton.setObjectName("tagButton")
        self.gridLayout.addWidget(self.tagButton, 2, 0, 1, 1)
        self.tagCombo = QtWidgets.QComboBox(parent=self.groupBox)
        self.tagCombo.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.tagCombo.sizePolicy().hasHeightForWidth())
        self.tagCombo.setSizePolicy(sizePolicy)
        self.tagCombo.setEditable(True)
        self.tagCombo.setObjectName("tagCombo")
        self.gridLayout.addWidget(self.tagCombo, 2, 1, 1, 2)
        self.branchButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.branchButton.setObjectName("branchButton")
        self.gridLayout.addWidget(self.branchButton, 3, 0, 1, 1)
        self.branchCombo = QtWidgets.QComboBox(parent=self.groupBox)
        self.branchCombo.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.branchCombo.sizePolicy().hasHeightForWidth())
        self.branchCombo.setSizePolicy(sizePolicy)
        self.branchCombo.setEditable(True)
        self.branchCombo.setObjectName("branchCombo")
        self.gridLayout.addWidget(self.branchCombo, 3, 1, 1, 2)
        self.bookmarkButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.bookmarkButton.setObjectName("bookmarkButton")
        self.gridLayout.addWidget(self.bookmarkButton, 4, 0, 1, 1)
        self.bookmarkCombo = QtWidgets.QComboBox(parent=self.groupBox)
        self.bookmarkCombo.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.bookmarkCombo.sizePolicy().hasHeightForWidth())
        self.bookmarkCombo.setSizePolicy(sizePolicy)
        self.bookmarkCombo.setEditable(True)
        self.bookmarkCombo.setObjectName("bookmarkCombo")
        self.gridLayout.addWidget(self.bookmarkCombo, 4, 1, 1, 2)
        self.expressionButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.expressionButton.setObjectName("expressionButton")
        self.gridLayout.addWidget(self.expressionButton, 5, 0, 1, 1)
        self.expressionEdit = QtWidgets.QLineEdit(parent=self.groupBox)
        self.expressionEdit.setEnabled(False)
        self.expressionEdit.setClearButtonEnabled(True)
        self.expressionEdit.setObjectName("expressionEdit")
        self.gridLayout.addWidget(self.expressionEdit, 5, 1, 1, 2)
        self.tipButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.tipButton.setChecked(True)
        self.tipButton.setObjectName("tipButton")
        self.gridLayout.addWidget(self.tipButton, 6, 0, 1, 3)
        self.verticalLayout_2.addWidget(self.groupBox)
        self.groupBox_2 = QtWidgets.QGroupBox(parent=HgGpgSignDialog)
        self.groupBox_2.setObjectName("groupBox_2")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox_2)
        self.verticalLayout.setObjectName("verticalLayout")
        self.nocommitCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.nocommitCheckBox.setObjectName("nocommitCheckBox")
        self.verticalLayout.addWidget(self.nocommitCheckBox)
        self.messageEdit = EricSpellCheckedPlainTextEdit(parent=self.groupBox_2)
        self.messageEdit.setTabChangesFocus(True)
        self.messageEdit.setObjectName("messageEdit")
        self.verticalLayout.addWidget(self.messageEdit)
        self.verticalLayout_2.addWidget(self.groupBox_2)
        self.gridLayout_2 = QtWidgets.QGridLayout()
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.label = QtWidgets.QLabel(parent=HgGpgSignDialog)
        self.label.setObjectName("label")
        self.gridLayout_2.addWidget(self.label, 0, 0, 1, 1)
        self.keyEdit = QtWidgets.QLineEdit(parent=HgGpgSignDialog)
        self.keyEdit.setObjectName("keyEdit")
        self.gridLayout_2.addWidget(self.keyEdit, 0, 1, 1, 1)
        self.localCheckBox = QtWidgets.QCheckBox(parent=HgGpgSignDialog)
        self.localCheckBox.setObjectName("localCheckBox")
        self.gridLayout_2.addWidget(self.localCheckBox, 1, 0, 1, 2)
        self.forceCheckBox = QtWidgets.QCheckBox(parent=HgGpgSignDialog)
        self.forceCheckBox.setObjectName("forceCheckBox")
        self.gridLayout_2.addWidget(self.forceCheckBox, 2, 0, 1, 2)
        self.verticalLayout_2.addLayout(self.gridLayout_2)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HgGpgSignDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout_2.addWidget(self.buttonBox)

        self.retranslateUi(HgGpgSignDialog)
        self.buttonBox.accepted.connect(HgGpgSignDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HgGpgSignDialog.reject) # type: ignore
        self.numberButton.toggled['bool'].connect(self.numberSpinBox.setEnabled) # type: ignore
        self.idButton.toggled['bool'].connect(self.idEdit.setEnabled) # type: ignore
        self.tagButton.toggled['bool'].connect(self.tagCombo.setEnabled) # type: ignore
        self.branchButton.toggled['bool'].connect(self.branchCombo.setEnabled) # type: ignore
        self.bookmarkButton.toggled['bool'].connect(self.bookmarkCombo.setEnabled) # type: ignore
        self.expressionButton.toggled['bool'].connect(self.expressionEdit.setEnabled) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HgGpgSignDialog)
        HgGpgSignDialog.setTabOrder(self.numberButton, self.numberSpinBox)
        HgGpgSignDialog.setTabOrder(self.numberSpinBox, self.idButton)
        HgGpgSignDialog.setTabOrder(self.idButton, self.idEdit)
        HgGpgSignDialog.setTabOrder(self.idEdit, self.tagButton)
        HgGpgSignDialog.setTabOrder(self.tagButton, self.tagCombo)
        HgGpgSignDialog.setTabOrder(self.tagCombo, self.branchButton)
        HgGpgSignDialog.setTabOrder(self.branchButton, self.branchCombo)
        HgGpgSignDialog.setTabOrder(self.branchCombo, self.bookmarkButton)
        HgGpgSignDialog.setTabOrder(self.bookmarkButton, self.bookmarkCombo)
        HgGpgSignDialog.setTabOrder(self.bookmarkCombo, self.expressionButton)
        HgGpgSignDialog.setTabOrder(self.expressionButton, self.expressionEdit)
        HgGpgSignDialog.setTabOrder(self.expressionEdit, self.tipButton)
        HgGpgSignDialog.setTabOrder(self.tipButton, self.nocommitCheckBox)
        HgGpgSignDialog.setTabOrder(self.nocommitCheckBox, self.messageEdit)
        HgGpgSignDialog.setTabOrder(self.messageEdit, self.keyEdit)
        HgGpgSignDialog.setTabOrder(self.keyEdit, self.localCheckBox)
        HgGpgSignDialog.setTabOrder(self.localCheckBox, self.forceCheckBox)
        HgGpgSignDialog.setTabOrder(self.forceCheckBox, HgGpgSignDialog.keyEdit_2)
        HgGpgSignDialog.setTabOrder(HgGpgSignDialog.keyEdit_2, HgGpgSignDialog.localCheckBox_2)
        HgGpgSignDialog.setTabOrder(HgGpgSignDialog.localCheckBox_2, HgGpgSignDialog.forceCheckBox_2)

    def retranslateUi(self, HgGpgSignDialog):
        _translate = QtCore.QCoreApplication.translate
        self.groupBox.setTitle(_translate("HgGpgSignDialog", "Revision"))
        self.numberButton.setToolTip(_translate("HgGpgSignDialog", "Select to specify a revision by number"))
        self.numberButton.setText(_translate("HgGpgSignDialog", "Number"))
        self.numberSpinBox.setToolTip(_translate("HgGpgSignDialog", "Enter a revision number"))
        self.idButton.setToolTip(_translate("HgGpgSignDialog", "Select to specify a revision by changeset id"))
        self.idButton.setText(_translate("HgGpgSignDialog", "Id:"))
        self.idEdit.setToolTip(_translate("HgGpgSignDialog", "Enter a changeset id"))
        self.tagButton.setToolTip(_translate("HgGpgSignDialog", "Select to specify a revision by a tag"))
        self.tagButton.setText(_translate("HgGpgSignDialog", "Tag:"))
        self.tagCombo.setToolTip(_translate("HgGpgSignDialog", "Enter a tag name"))
        self.branchButton.setToolTip(_translate("HgGpgSignDialog", "Select to specify a revision by a branch"))
        self.branchButton.setText(_translate("HgGpgSignDialog", "Branch:"))
        self.branchCombo.setToolTip(_translate("HgGpgSignDialog", "Enter a branch name"))
        self.bookmarkButton.setToolTip(_translate("HgGpgSignDialog", "Select to specify a revision by a bookmark"))
        self.bookmarkButton.setText(_translate("HgGpgSignDialog", "Bookmark:"))
        self.bookmarkCombo.setToolTip(_translate("HgGpgSignDialog", "Enter a bookmark name"))
        self.expressionButton.setText(_translate("HgGpgSignDialog", "Expression:"))
        self.expressionEdit.setToolTip(_translate("HgGpgSignDialog", "Enter a revision set expression"))
        self.tipButton.setToolTip(_translate("HgGpgSignDialog", "Select tip revision of repository"))
        self.tipButton.setText(_translate("HgGpgSignDialog", "Parent"))
        self.groupBox_2.setTitle(_translate("HgGpgSignDialog", "Commit Message"))
        self.nocommitCheckBox.setToolTip(_translate("HgGpgSignDialog", "Select to not commit the signature"))
        self.nocommitCheckBox.setText(_translate("HgGpgSignDialog", "Do Not Commit"))
        self.messageEdit.setToolTip(_translate("HgGpgSignDialog", "Enter a commit message (leave empty to use default)"))
        self.label.setText(_translate("HgGpgSignDialog", "Key-ID:"))
        self.keyEdit.setToolTip(_translate("HgGpgSignDialog", "Enter the ID of the key to be used"))
        self.localCheckBox.setToolTip(_translate("HgGpgSignDialog", "Select to make the signature local"))
        self.localCheckBox.setText(_translate("HgGpgSignDialog", "Local Signature"))
        self.forceCheckBox.setToolTip(_translate("HgGpgSignDialog", "Select to sign even if the signature file is modified"))
        self.forceCheckBox.setText(_translate("HgGpgSignDialog", "Force Signature"))
from eric7.EricWidgets.EricSpellCheckedTextEdit import EricSpellCheckedPlainTextEdit
